Search documentation of ash

# View Source Comparable protocol (ash v3.4.30)

Protocol which describes ordering relation for pair of types

# Summary

## Types

ord()
t()

## Functions

compare(left_and_right)

Accepts struct with fields :left and :right and returns ord value

# Types

Link to this type

# ord()

View Source

    @type ord() :: :gt | :lt | :eq

Link to this type

# t()

View Source

    @type t() :: t()

# Functions

Link to this function

# compare(left_and_right)

View Source

    @spec compare(t()) :: ord()

Accepts struct with fields :left and :right and returns ord value